// This file is part of a hashlife-based simulator for the CBlocks3D environment written by Will Stevens
// You may freely use and distribute this program.

#include "universe.h"

#include "cb3de.h"

CUniverse::CUniverse(void)
{
	iters = 0;

	initTables();
}

CUniverse::~CUniverse()
{
}

void CUniverse::Process(void)
{
	eg = singleStep(eg,iters);
}

void CUniverse::Load(std::ifstream &is)
{
	eg = load(is);
}

void CUniverse::Save(std::ofstream &os)
{
	save(eg,os,0,0,0);
}

