// This file is part of a hashlife-based simulator for the CBlocks3D environment written by Will Stevens
// You may freely use and distribute this program.

#ifndef UNIVERSE_H
#define UNIVERSE_H

#include <fstream>

#include "cb3de.h"

class CUniverse
{
public:
	CUniverse(void);

	~CUniverse();

	void Process(void);

	void Load(std::ifstream &is);
	void Save(std::ofstream &os);

public:

	unsigned iters;
};

#endif
